<?php


namespace App\Libs\Push\HuaWei\Admin\Msg\Apns;


use Exception;

class ApnsHmsOptions
{
    private $target_user_type;

    public function getFields()
    {
        return $this->fields;
    }

    public function target_user_type($value)
    {
        $this->target_user_type = $value;
    }

    public function buildFields()
    {
        try {
            $this->check_parameter();
        } catch (Exception $e) {
            echo $e;
        }
        $keys = array(
            'target_user_type'
        );
        foreach ($keys as $key) {
            if (isset($this->$key)) {
                $this->fields[$key] = $this->$key;
            }
        }
    }

    private function check_parameter()
    {
        if (!empty($this->target_user_type)
            && !in_array($this->target_user_type, array(1, 2, 3))) {
            throw new Exception("target_user_type range TEST_USER:1,FORMAL_USER:2,VOIP_USER:3");
        }
    }
}